[PATCH] Remove unnecessary palette calculations

Remove some palette calculations from GLQuake, since the results are not used.

diff -urN b/NQ/view.c head/NQ/view.c
--- b/NQ/view.c	2004-08-14 16:16:32.000000000 +0930
+++ head/NQ/view.c	2005-12-29 15:33:08.000000000 +1030
@@ -527,8 +527,6 @@
 {
     int i, j;
     qboolean new;
-    byte *basepal, *newpal;
-    byte pal[768];
     float r, g, b, a;
     int ir, ig, ib;
     qboolean force;
@@ -549,12 +547,12 @@
 	    }
     }
 
-// drop the damage value
+    /* drop the damage value */
     cl.cshifts[CSHIFT_DAMAGE].percent -= host_frametime * 150;
     if (cl.cshifts[CSHIFT_DAMAGE].percent <= 0)
 	cl.cshifts[CSHIFT_DAMAGE].percent = 0;
 
-// drop the bonus value
+    /* drop the bonus value */
     cl.cshifts[CSHIFT_BONUS].percent -= host_frametime * 100;
     if (cl.cshifts[CSHIFT_BONUS].percent <= 0)
 	cl.cshifts[CSHIFT_BONUS].percent = 0;
@@ -587,22 +585,7 @@
 	ramps[2][i] = gammatable[ib];
     }
 
-    basepal = host_basepal;
-    newpal = pal;
-
-    for (i = 0; i < 256; i++) {
-	ir = basepal[0];
-	ig = basepal[1];
-	ib = basepal[2];
-	basepal += 3;
-
-	newpal[0] = ramps[0][ir];
-	newpal[1] = ramps[1][ig];
-	newpal[2] = ramps[2][ib];
-	newpal += 3;
-    }
-
-    VID_ShiftPalette(pal);
+    VID_ShiftPalette(NULL);
 }
 #else // !GLQUAKE
 void
diff -urN b/QW/client/view.c head/QW/client/view.c
--- b/QW/client/view.c	2004-07-25 15:59:56.000000000 +0930
+++ head/QW/client/view.c	2005-12-29 15:33:55.000000000 +1030
@@ -25,6 +25,7 @@
 #include "pmove.h"
 #include "quakedef.h"
 #include "screen.h"
+#include "view.h"
 
 // FIXME - header hacks
 extern vrect_t scr_vrect;
@@ -538,8 +539,6 @@
 {
     int i, j;
     qboolean new;
-    byte *basepal, *newpal;
-    byte pal[768];
     float r, g, b, a;
     int ir, ig, ib;
     qboolean force;
@@ -560,12 +559,12 @@
 	    }
     }
 
-// drop the damage value
+    /* drop the damage value */
     cl.cshifts[CSHIFT_DAMAGE].percent -= host_frametime * 150;
     if (cl.cshifts[CSHIFT_DAMAGE].percent <= 0)
 	cl.cshifts[CSHIFT_DAMAGE].percent = 0;
 
-// drop the bonus value
+    /* drop the bonus value */
     cl.cshifts[CSHIFT_BONUS].percent -= host_frametime * 100;
     if (cl.cshifts[CSHIFT_BONUS].percent <= 0)
 	cl.cshifts[CSHIFT_BONUS].percent = 0;
@@ -576,8 +575,6 @@
 
     V_CalcBlend();
 
-//Con_Printf("b: %4.2f %4.2f %4.2f %4.6f\n", v_blend[0],        v_blend[1],     v_blend[2],     v_blend[3]);
-
     a = v_blend[3];
     r = 255 * v_blend[0] * a;
     g = 255 * v_blend[1] * a;
@@ -600,22 +597,7 @@
 	ramps[2][i] = gammatable[ib];
     }
 
-    basepal = host_basepal;
-    newpal = pal;
-
-    for (i = 0; i < 256; i++) {
-	ir = basepal[0];
-	ig = basepal[1];
-	ib = basepal[2];
-	basepal += 3;
-
-	newpal[0] = ramps[0][ir];
-	newpal[1] = ramps[1][ig];
-	newpal[2] = ramps[2][ib];
-	newpal += 3;
-    }
-
-    VID_ShiftPalette(pal);
+    VID_ShiftPalette(NULL);
 }
 #else // !GLQUAKE
 /*
